Subject: bug#73524: 29.4; bug-reference-mode matches regexp case-insensitively

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Sep 2024 11:39:26 +0300

> From: Ulrich Mueller <[email-masked]>
> Date: Sat, 28 Sep 2024 08:24:26 +0200
> 
> bug-reference-bug-regexp is matched case-insensitively, while both its
> default value and the example regexp "\\([Bb]ug[#-]\\([0-9]+\\)\\)"
> from the "Bug Reference" section of the manual indicate otherwise.
> 
> To reproduce, save attached file as bugref.txt, then:
> $ emacs -Q bugref.txt
> 
> It will correctly highlight "bug-1234" and "Bug-5678" but also
> "bUg-9012" which shouldn't be matched by the regexp.

I'm not sure I see the harm in that (e.g., what if someone made a
mistake while typing the commit log message? these are immutable with
Git once pushed), but I've added Tassilo to this discussion in case he
has an opinion.